ToriCombat League
Original Post
[WIP] Misc Scripts
https://github.com/franciscouzo/toribash_online_stats

online_clans, utility I made for looking for clan wars.
online_users_info, shows a rank for the people with the most tc and qi online, I've used it to look for duels before.
online_vips, I'm a cheap ass, so when I want to global I use this script to look for vips.

These scripts need python 2.7, which you can get from here.
You'll also need to install the requests library, which can be done like this from the command line:
C:/Python27/Scripts/pip.exe install requests
https://github.com/franciscouzo/toribash_historic_tc

Shows a graph of the historic tc of a user.

You'll need to run the following commands to make this script work (It's quite hard on windows since it needs some libraries that are hard to compile on it)

pip install BeautifulSoup4
pip install requests
pip install matplotlib
And last but not least
https://github.com/franciscouzo/tori...join_broadcast

Autojoin a room when it's mentioned in a broadcast like "/jo roomhere"

Same as before, you'll need to install python and the requests library, if you installed steam not on the C drive, you'll need to change steam_path on the autojoin_broadcast.py file

(online_vips and autojoin_broadcast need a working account to work, since they have to access tori_trans_hist.php, you can use an alt if you want to, it doesn't makes a difference. I'm not adding a default alt for them because I bet it's against the rules and anyway someone would change its password just to be an asshole)

As always, suggestions and bug reports are welcome.
Last edited by Pitusas; Jan 16, 2016 at 01:46 AM.
Why not use Python 3.4.3 Version? Not much difference in syntax I would presume just different functions etc

Channel - ok
Originally Posted by yoshiman60 View Post
Why not use Python 3.4.3 Version? Not much difference in syntax I would presume just different functions etc

Why use python 3.4.3? The latest version of python is 3.5.1 as of this writing.

Python 2.7 is included by default on many OSes, as well as being the default for many library authors. 'Not much difference in syntax' is verifiably incorrect (I've ported python 2 libraries to python 3, elapsed time: many many hours).
<~suomynona> TITS OR ELEELETH
I had python 2.7 but I installed 3.4.3 instead.... Didnt take to long to download. Also Downloaded pygame, and pycharm amazing IDE

Channel - ok